Katello - Feature #5591

Red Hat Repositories: authorization
05/06/2014 06:15 PM - Walden Raines

Status: Closed

Priority: Normal

Assignee: Walden Raines

Category: API

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Need to lock down Red Hat Repositories.

Related issues:
Related to Katello - Feature #5217: As a user, | should have CRUD permissions... Closed

04/16/2014

Associated revisions

Revision ccf93f42 - 05/08/2014 03:30 PM - Walden Raines
Fixes #5591, adding authorization for Red Hat Repositories.

Also as part of this commit, a fair amount of unused provider
code was removed.

Revision 8e917f16 - 05/08/2014 03:53 PM - Walden Raines

Merge pull request #4057 from waldenraines/rh-repo-roles

Fixes #5591, adding authorization for Red Hat Repositories.

History

#1 - 05/06/2014 06:16 PM - Walden Raines

- Tracker changed from Bug to Feature

#2 - 05/06/2014 06:16 PM - Walden Raines

- Related to Feature #5217: As a user, | should have CRUD permissions for all entities that are exposed to me. added

#3 - 05/06/2014 07:17 PM - Walden Raines
- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4053

#4 - 05/06/2014 07:53 PM - Walden Raines
- Status changed from Ready For Testing to Assigned

Walden Raines wrote:

https://github.com/Katello/katello/pull/4053

Wrong issue

#5 - 05/07/2014 07:28 PM - Walden Raines
- Status changed from Assigned to Ready For Testing

05/17/2024
https://github.com/Katello/katello/pull/4053
https://github.com/Katello/katello/pull/4053

https://github.com/Katello/katello/pull/4057

#6 - 05/08/2014 03:55 PM - Walden Raines
- Status changed from Ready For Testing to Closed

commit 8e917f16452¢6fb1368b927cde8d5cee7c15b0a3
Merge: 5bd4204 ccf93f4

Author: Walden Raines <walden@redhat.com>

Date: Thu May 8 11:53:45 2014 -0400

Merge pull request #4057 from waldenraines/rh-repo-roles
Fixes #5591, adding authorization for Red Hat Repositories.

commit ccf93f42f8d7d0ea98ab838f0d5d9c8c2d526d3f
Author: Walden Raines <walden@redhat.com>
Date: Wed May 7 15:20:51 2014 -0400

Fixes #5591, adding authorization for Red Hat Repositories.

Also as part of this commit, a fair amount of unused provider
code was removed.

#7 - 08/22/2014 08:22 AM - Eric Helms

- translation missing: en.field_release set to 13
